summaryrefslogtreecommitdiff
path: root/qa/420
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/420
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/420')
-rwxr-xr-xqa/42039
1 files changed, 39 insertions, 0 deletions
diff --git a/qa/420 b/qa/420
new file mode 100755
index 0000000..4d15ded
--- /dev/null
+++ b/qa/420
@@ -0,0 +1,39 @@
+#! /bin/sh
+# PCP QA Test No. 420
+#
+# exercise pmRecord*() and in particular the new PM_REC_SETARG for
+# pmRecordControl
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+. ./common.check
+
+echo "Not yet working - libpcp_gui recording" > $seq.notrun
+exit 0
+
+status=1 # failure is the default!
+trap "cd $here; rm -rf $tmp; exit \$status" 0 1 2 3 15
+
+$sudo rm -rf $tmp
+mkdir $tmp
+cd $tmp
+
+# real QA test starts here
+echo "IPC error is expected as application waits until after pmlogger"
+echo "should be well finished ..."
+echo
+
+$here/src/record-setarg foo
+
+pmdumplog *.0 sample | _filter_pmdumplog
+
+# success, all done
+status=0
+exit